Skip to content

Update Analysis State

PUT
/analyses/{analysis_id}/state

Update the state of an analysis to cancelled or terminated. Setting the state to ‘Cancelled’ prevents all queued runs from being started. Runs that are already in progress will complete. Setting the state to ‘Terminated’ cancels all queued runs and terminates all runs that are already in progress. Returns 202 Accepted indicating that the request is being processed.

analysis_id
required
Analysis Id
string
organization_name
Any of:
string
x-originating-user-id
X-Originating-User-Id
string
x-originating-user-organization-name
X-Originating-User-Organization-Name
string
StateRequest

Schema for update state endpoints.

object
state
required
State
string
Allowed values: Cancelled Terminated

Successful Response

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string